This is an automated email from the ASF dual-hosted git repository.

cederom pushed a commit to branch releases/12.7
in repository https://gitbox.apache.org/repos/asf/nuttx.git

commit 07c48eb7d00d0a5c99d7f4ed8769ea80e915ca87
Author: xuxingliang <xuxingli...@xiaomi.com>
AuthorDate: Fri Aug 16 09:58:13 2024 +0800

    tools: make isort and black formatters to work together
    
    Config multi line output to mode 3, so isort and black can agree with
    each other:
    ```
    3 - Vertical Hanging Indent
    
    from third_party import (
        lib1,
        lib2,
        lib3,
        lib4,
    )
    ```
    
    Signed-off-by: xuxingliang <xuxingli...@xiaomi.com>
---
 .github/linters/setup.cfg | 1 +
 tools/checkpatch.sh       | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/.github/linters/setup.cfg b/.github/linters/setup.cfg
index b0224c1475..1f065ea750 100644
--- a/.github/linters/setup.cfg
+++ b/.github/linters/setup.cfg
@@ -2,6 +2,7 @@
 ignore = W503,W605,E203
 max-complexity = 27
 max-line-length = 125
+multi_line_output=3
 show-source = True
 statistics = True
 
diff --git a/tools/checkpatch.sh b/tools/checkpatch.sh
index 992a87c3e9..4153c02ce2 100755
--- a/tools/checkpatch.sh
+++ b/tools/checkpatch.sh
@@ -85,7 +85,7 @@ check_file() {
   if [ ${@##*.} == 'py' ]; then
     black --check $@ || fail=1
     flake8 --config ${TOOLDIR}/../.github/linters/setup.cfg $@ || fail=1
-    isort $@ || fail=1
+    isort --settings-path ${TOOLDIR}/../.github/linters/setup.cfg $@ || fail=1
   elif [ "$(is_rust_file $@)" == "1" ]; then
     if ! command -v rustfmt &> /dev/null; then
       fail=1

Reply via email to